Skip to main content

Patch an entitlement

PATCH 

/entitlements/v1/:id

This API updates an existing entitlement using JSON Patch syntax.

The following fields are patchable: requestable, segments, privilegeOverride/level, owner, name, description, manuallyUpdatedFields, and accessModelMetadata

When you're patching owner, only owner type and owner id must be provided. Owner name is optional, and it won't be modified. If the owner name is provided, it should correspond to the real name. The only owner type currently supported is IDENTITY.

When you're patching accessModelMetadata, each attribute's key must match the key of an existing access model metadata attribute, and each value must be one of the values configured for that key. Use List access model metadata attributes to look up the available keys and values.

Request

Responses

Responds with the entitlement as updated.